using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WPF.Grouping
{
	/// <summary>
	/// Interaction logic for Page1.xaml
	/// </summary>
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();

			ExampleGrid.ItemsSource = from c in Enumerable.Range(0, 100)
									  select new Person()
									  {
										  Age = c % 20,
										  FirstName = "Name" + c,
										  LastName = "Name" + c % 3
									  };

		}

		private void Page_Loaded(object sender, RoutedEventArgs e)
		{
			var parent = this.ParentOfType<DockPanel>();

			if (parent != null)
			{
				var host = parent.Parent as Border;
				if (host != null)
				{
					host.Child = null;
					AdornerDecorator decorator = new AdornerDecorator();
					decorator.Child = parent;
					host.Child = decorator;
				}
			}
		}
	}
}
